Subject: [mobile-ip] Fast Handoffs (IPv4 & IPv6)

From: "Koichi Ishibashi" <[email-masked]>
Date: Fri, 9 Mar 2001 17:06:28 +0900

Hi all.

I was looking into Mobile IP (rfc2002, Fast Handoffs drafts, etc)
for one of our projects.

Here, I am confusing.
The fast handoff for Mobile IPv4 draft (draft-ietf-mobileip-
lowlatencyhandoffs-v4-00.txt) proposes a pro-active handoff.
In this draft, the Registration procedure will be done pro-actively.
On the other hand, the fast handoff for Mobile IPv6 draft proposes
another mechanism.In this draft, the proposal associated with
the Registration procedure is not described.
I want to know why there is a difference between the fast handoff
for Mobile IPv4 and Mobile IPv6.
Sorry if this is a duplicate question.

And I have another confusion.
When I apply to the fast handoff for Mobile IPv4 (pro-active handoff)
without the bi-casting, the loss of packets during the transition
between networks will be eliminated.
So, I am considering that a Home Agent should manage the handoff
mechanism according to each microflow in order to simultaneously
support both the real-time service and the non-real-time service.

Clarifications are welcome.

Thanks,
Regards,
Koichi Ishibashi

---

From: James Kempf <[email-masked]>
Date: Tue, 20 Mar 2001 08:57:45 -0700

Hi Eunsoo,

>I guess your 'trigger' includes information of the IP address or the L2
>address of the new FA or the old FA or something similar.
>That means it is not just a signal saying that the link quality is not good
>enough or that the MN should change the attachment point.
>

We do not have a comprehensive presentation of the link layer triggers
in the current draft, we intend to fix that in the next draft. As you
say, there is a need in a few cases to have some data available with
the link layer trigger, in others, just a trigger is enough.

>What would be then the design team's plan for the cases not covered by the
>schemes of the draft?

If there are some cases that you feel correspond to existing link layers
that are not covered, then please send them. We are interested in covering
existing link layers that have support. Base RFC 2002 does a fine job
if there is no support. We have tried to abstract existing link layer
support based on our knowledge of it, but we may have missed something,
of course.

		jak
>Thanks.
>
>Eunsoo
>
>----- Original Message -----
>From: "James Kempf" <[email-masked]>
>To: <[email-masked]>; <[email-masked]>
>Cc: "Eunsoo Shim" <[email-masked]>
>Sent: Monday, March 19, 2001 12:15 PM
>Subject: Re: [mobile-ip] Fast Handoffs (IPv4 & IPv6)
>
>
>> Eunsoo,
>>
>> There was never any intent for each solution to cover all cases. So, if
>> the particular link layer does not provide a source trigger at the
>> old FA or a trigger on the mobile node, then the NAMONC solution would
>> not be used. Similarly, if no source trigger is available on the old FA
>> and no target trigger is available on the new FA, then the NIMOT solution
>> would not be used.
>>
>> jak
>>
>> >It seems to me the draft covers the following cases:
>> >1) The old FA(or AR) knows the IP address of the new FA while the MN is
>> >attached to the old FA.
>> >2) The old BS knows the L2 address of the new BS while the MN is attached
>to
>> >the old BS
>> >3) The new FA knows the IP address of the old FA before the MN registers
>> >with the new FA (reactive case)
>> >
>> >I wonder whether these cases are all we need to cover in the wireless IP
>> >world.
>> >In particular, what is the solution for a fast handoff that results in a
>> >similar latency to NAMONC in the case where the assumptions of 1) and 2)
>are
>> >not vaild?
>> >
>> >Regards,
>> >
>> >Eunsoo
>> >
>> >----- Original Message -----
>> >From: "Karim El-Malki (ERA)" <[email-masked]>
>> >To: <[email-masked]>; "'Koichi Ishibashi'"
>> ><[email-masked]>
>> >Sent: Friday, March 09, 2001 1:19 PM
>> >Subject: RE: [mobile-ip] Fast Handoffs (IPv4 & IPv6)
>> >
>> >
>> >> Hello
>> >>
>> >> > Here, I am confusing.
>> >> Low latency Handoffs proposes two methods:
>> >>
>> >> - Network Assisted, Mobile and Network Controlled (NAMONC) Handoff
>> >> - Network Initiated, Mobile Terminated (NIMOT) Handoff
>> >>
>> >> This is the combination of two existing drafts.
>> >> The first method comes from draft-elmalki-mobileip-fast-handoffs-03
>> >> and the second is from draft-calhoun-mobileip-proactive-fa-03.
>> >>
>> >> > another mechanism.
>> >> The v4 and v6 drafts do not propose completely different mechanisms.
>> >> You can run a similar handoff procedure in v4 and v6. However you may
>> >> be pointing to a NIMOT-like approach in v6?
>> >>
>> >> If you don't use bicasting (independently of the method supported) then
>> >> achieving a loss-less v4 handoff depends on when the MN actually
>> >disconnects
>> >> from the old FA and connects to the new one, if buffering is available
>> >etc.
>> >> This needs more looking into and hopefully we'll get some discussion
>going
>> >> at this IETF.
>> >>
>> >> Regards
>> >> /Karim
>> >>
>> >
>> >
>>
>>
>>
>
>